#!/bin/sh

export TEXTDOMAIN=kcm_mobile_integrity_scripts
. gettext.sh

events_interface='ru.astralinux.events'
signal='show_notify'

title=$(gettext "Astra Mobile integrity checker")
message=$(gettext "Files changed. Please contact your administrator.")

dbus-monitor --system "interface=$events_interface, member=$signal" |
while read -r line; do
    if [[ $line == *"member=$signal"* ]]; then
    notify-send -u critical "$title" "$message" &
    fi
done
