import QtQuick 2.2
import QtQuick.Controls 2.15
import org.kde.kirigami 2.19 as Kirigami

TextEdit {
    clip: true
    readOnly: true
    textMargin: Kirigami.Units.mediumSpacing

    text: i18n("Base attributes are :\n \
\n \
a: atime\n \
(last access time in seconds since the epoch)\n \
b: blocks\n \
(actual number of blocks allocated)\n \
c: ctime\n \
(inode change time)\n \
d: device\n \
(device number of filesystem, major and minor number)\n \
g: group\n \
(gid of the file)\n \
h: md5 checksum\n \
(for compatibility with older version, md5 should be used now)\n \
i: inode\n \
(inode number)\n \
m: mtime\n \
(last modify time since epoch)\n \
md5 : md5 checksum\n \
(the default checksum)\n \
n: number of hard links\n \
(see ln command)\n \
p: permissions\n \
(owner, group, other)\n \
u: user\n \
(uid of the file)\n \
s: file size\n \
(in bytes)\n \
sha1 : sha1 checksum\n \
(optionnal, replace md5)\n \
\n \
Predefined alias are :\n \
\n \
all = b+c+d+g+i+m+md5+n+p+u+s\n \
all parameter except atime (a)\n \
R = p+d+i+n+u+g+s+m+c+md5\n \
for aide compatibility\n \
L = p+d+i+n+u+g\n \
for aide compatibility\n \
E = (empty)\n \
for aide compatibility")
}
